<?php
/*
Plugin Name: WPAffiliateAdhocMailerByVWD
Plugin URI: http://www.Veluzar.com/
Description: WP Affilliate Adhoc Mailer By Veluzar Studios
Author: Tronahue Veluz
Version: 1.0
Author URI: http://www.Veluzar.com/
*/

function wpaambvwd_uninstall(){
	delete_option( 'wpaambvwd_email_from');
	delete_option( 'wpaambvwd_email_subject');
	delete_option( 'wpaambvwd_email_body');
}
function wpaambvwd_install(){
	add_option( 'wpaambvwd_email_from', 'admin@your-domain-name.com' );
	add_option( 'wpaambvwd_email_subject', 'Email Subject' );
	add_option( 'wpaambvwd_email_body', 'Email Body - {user_name},{email},{password},{login_url}' );
}
register_activation_hook(__FILE__,'wpaambvwd_install');
register_deactivation_hook(__FILE__,'wpaambvwd_uninstall');

function wpaambvwd_menu(){
	echo '<div class="wrap"><form method="post">';
	if ($_REQUEST['submit']) { 
		switch (strtolower($_REQUEST['submit'])){
		case 'save mail template':
			wpaambvwd_saveOptions();
			wpaambvwd_CreateForm('New');
			break;
		case 'send mail':
			wpaambvwd_send_mail();
			wpaambvwd_CreateForm('New');
			break;
		default:
			wpaambvwd_CreateForm('New');
		}
    } else {
		wpaambvwd_CreateForm('New');
	} 
	echo '</form></div>';
}


 
function wpaambvwd_admin_actions() {
    add_management_page("WP Aff Mailer", "WP Aff Mailer", 7,__FILE__, "wpaambvwd_menu");
}
add_action('admin_menu', 'wpaambvwd_admin_actions');

function wpaambvwd_CreateForm($action,$msg=NULL) { 
	$subject=str_replace('\\','',get_option('wpaambvwd_email_subject'));
	$body=trim(str_replace('\\','',get_option('wpaambvwd_email_body')));
	$subject=stripslashes($subject);
	$body=stripslashes($body);
?>
<br />
<table  class="widefat" >
  <thead>
	<tr id="quicktags">
		<td colspan="2"><h3>WP Affiliate Adhoc Mailer</h3></td>
  </tr>
	</thead>
  <tr>
		<th scope="row"  style="text-align:right;">From Email Address:</th>
		<td><Input name="email_from" type="text" 
			value="<?php echo get_option('wpaambvwd_email_from'); ?>" size="50" /> 
			<br /><em>Sender's address (eg. admin@your-domain-name.com)</em>
		</td>
	</tr>
	<tr>
		<th scope="row" style="text-align:right;">Email Subject:</th>
		<td>	<Input name="email_subject" type="text" 
			value="<?php echo $subject; ?>" size="50" /> 
			<br /><em>The Email Subject</em>

		</td>
	</tr>
	
	<tr>
		<th scope="row" style="text-align:right;">The Email Body:<br /></th>
		<td><textarea style="text-align:left;" rows="8" cols="75" name="email_body" >
			<?php echo $body; ?>
			</textarea> 
			<br /><em>This is the body of the email that will be sent to the 
			affiliate after they sign up. Do not change the text within the braces {}</em>
		</td>
	</tr>
	<tr>
		<td><input class="button-secondary" type="submit" name="submit" value="Save Mail Template" /></td>
		<td style="text-align:right;">
			<input class="button-primary" type="submit" name="submit" value="Send Mail" /></td>
	</tr>
	</table>
<?php	
}

function wpaambvwd_send_mail() {
	global $wpdb;
	$email_from=$_POST['email_from'];
	$email_subject=stripslashes($_POST['email_subject']);
	$email_body=stripslashes($_POST['email_body']);
	$affiliate_login_url = get_option('wp_aff_login_url');
    $tags1 = array("{user_name}","{email}","{password}","{login_url}");            
	$rows = $wpdb->get_results("SELECT * FROM ".$wpdb->prefix."affiliates_tbl",OBJECT);
	//echo "SELECT * FROM ".$wpdb->prefix."wp_affiliates_tbl";
	if ($rows) {
		foreach($rows as $row){
			$vals1 = array($row->refid,$row->email,$row->pass,$affiliate_login_url);                    
			$temp_emailbody = str_replace($tags1,$vals1,$email_body);
			$headers = 'From: '.get_bloginfo('name').' <'.$email_from.">"."\r\n";                   
			wp_mail($row->email, $email_subject, $temp_emailbody, $headers);
			//echo $row->email.'<br />'.$email_subject.'<br />'.$temp_emailbody.'<br />'.$headers.'<br /><hr>';
		}
		echo '<div id="error" class="update fade">'.count($rows).' Emails Sent.</div>';
	} else {
		echo '<div id="error" class="error fade" style="color:#990000;">Error: The database is empty!</div>';
	}
}
function wpaambvwd_saveOptions(){
  update_option( 'wpaambvwd_email_from', $_POST['email_from'] );
  update_option( 'wpaambvwd_email_subject', $_POST['email_subject'] );
  update_option( 'wpaambvwd_email_body', $_POST['email_body'] );
  echo '<div id="error" class="update fade">Template Saved.</div>';

 }
?>